# $Revision: 1.40 $, $Date: 2006/09/09 01:16:04 $
# TODO
#  - bncsetup working partially, needs newer dialog
Summary:	Simple IRC bouncer
Summary(pl):	Proste narzdzie do tunelowania IRC
Name:		bnc
Version:	2.9.4
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.gotbnc.com/files/%{name}%{version}.tar.gz
# Source0-md5:	190486d2346415e30f6381377e82eb3b
Source1:	%{name}.sysconfig
Source2:	%{name}.init
Source3:	%{name}.conf
Patch0:		%{name}-setup.patch
Patch1:		%{name}-typo.patch
URL:		http://www.gotbnc.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	dialog >= 1:0.69
Provides:	group(bnc)
Provides:	user(bnc)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
BNC is a great IRC (Internet Relay Chat) proxying server under the GPL
(General Public License). It allows users to connect to chat servers
by bouncing off the computer which is running BNC. Basically, it
forwards the information from the user to the server and vise versa.

%description -l pl
BNC jest rewelacyjnym i prostym proxy do IRC (Internet Relay Chat) na
licencji GPL (General Public License). BNC pozwala uytkownikom na
poczenie si z serwerem IRC wykorzystujc do tego komputer na ktrym
BNC zostao uruchomione. Mwic w skrcie, BNC przekazuje informacje
od uytkownika do serwera i vice versa.

%package init
Summary:	Simple IRC bouncer daemon
Summary(pl):	Prosty demon do tunelowania IRC
Group:		Networking/Utilities
Requires(post):	grep
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{version}-%{release}
Requires:	/sbin/start-stop-daemon

%description init
This package contains the initscript to start bnc as system service.

%description init -l pl
Ten pakiet zawiera skrypt init do uruchamiania bnc jako usugi
systemowej.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-ssl

%{__make} \
	CFLAGS="%{rpmcflags} -include config.h"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_bindir},%{_sysconfdir},/var/{log,run/%{name}}}

install bnc $RPM_BUILD_ROOT%{_bindir}
install bncsetup $RPM_BUILD_ROOT%{_bindir}/bncsetup
install mkpasswd $RPM_BUILD_ROOT%{_bindir}/bncmkpasswd
install motd $RPM_BUILD_ROOT%{_sysconfdir}/motd
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
> $RPM_BUILD_ROOT/var/log/%{name}.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre init
%groupadd -g 142 %{name}
%useradd -u 142 -d /var/run/%{name} -s /bin/false -c "%{name} User" -g %{name} %{name}

%post init
if ! egrep -q '^(adminpass|password)' /etc/bnc/bnc.conf; then
%banner %{name} -e <<EOF
You need to setup passwords in %{_sysconfdir}/%{name}.conf!
The daemon will not start unless you've set them!

EOF
# ' vim

fi
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun init
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun init
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%files
%defattr(644,root,root,755)
%doc README Changelog motd example.conf bncchk
%attr(755,root,root) %{_bindir}/*

%files init
%defattr(644,root,root,755)
%dir %attr(750,root,bnc) %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,bnc) %{_sysconfdir}/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %attr(770,root,bnc) /var/run/%{name}
%attr(620,bnc,bnc) %ghost /var/log/%{name}.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bnc.spec,v $
Revision 1.40  2006/09/09 01:16:04  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.39  2006/04/16 20:52:33  glen
- use %service

Revision 1.38  2006/04/14 12:16:03  glen
- rel 2

Revision 1.37  2006/01/25 11:50:16  glen
- epoch not defined, so don't require it

Revision 1.36  2006/01/25 11:49:41  glen
- adapterized

Revision 1.35  2005/09/24 15:57:40  glen
- updated to 2.9.4

Revision 1.34  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.33  2005/02/06 16:08:06  glen
- use macro for bnc.conf

Revision 1.32  2005/02/06 16:04:48  glen
- added deps for post,pre,postun,preun

Revision 1.31  2005/02/06 10:34:54  qboosh
- pl for -init

Revision 1.30  2005/02/06 03:42:51  glen
- fix perms on run dir

Revision 1.29  2005/02/06 03:28:11  glen
- moved service to init subpackage

Revision 1.28  2005/02/03 18:40:59  glen
- updated privileges, bnc user shouldn't be able to change config or permissions

Revision 1.27  2005/02/03 18:15:50  glen
- todo update

Revision 1.26  2005/02/03 15:20:25  glen
- added bnc service

Revision 1.25  2005/02/03 12:51:07  glen
- updated to 2.9.3 (security; ssl support)
- patch bncsetup, rather having it's copy, this way it won't go outdated (hopefully)
- bncsetup still not working

Revision 1.24  2004/11/26 18:35:55  qboosh
- noted original Source0 URL

Revision 1.23  2004/11/25 22:09:18  snurf
- fixed Source0 url

Revision 1.22  2004/11/25 22:06:43  snurf
- up to 2.9.2, this time should be really, really ok

Revision 1.21  2004/11/25 21:57:18  snurf
- agrr, typos in my head, they are everywhere ;)... should be ok now...

Revision 1.20  2004/11/25 21:51:19  snurf
- distfiles didn't fetched sources, hgw why; maybe dropin@ will work

Revision 1.19  2004/11/25 13:47:41  snurf
- up to 2.9.1 (bug #5554)
- STBR

Revision 1.18  2004/10/13 18:13:51  saq
- up to 2.8.9
- STBR (SECURITY fix)

Revision 1.17  2004/10/13 17:40:34  blues
- SECURITY note.

Revision 1.16  2004/08/11 20:46:27  qboosh
- URL, BR: automake

Revision 1.15  2004/08/10 19:35:16  averne
- rel 3

Revision 1.14  2004/08/10 19:26:10  averne
- refresh config.sub

Revision 1.13  2003/11/29 12:34:49  undefine
- release 2 to rebuild with ac

Revision 1.12  2003/08/09 20:08:29  gotar
- upgraded to 2.8.8pre2,
- R: dialog (for bncsetup.pld),
- fixed passing compiler flags,
- removed redundant linking (-lnsl -lresolv).

Revision 1.11  2003/08/06 16:37:01  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.10  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:46:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/09/11 21:27:46  undefine
- upgraded to 2.8.6
- regenerate ac

Revision 1.7  2002/06/20 22:14:29  baseciq
- new %doc
- new desc
- rel 3
- STBR pse, i wish to see this package in PLD-1.0 (we don't have this
  package anywhere)

Revision 1.6  2002/04/25 15:54:20  arturs
- fixed a small typo

Revision 1.5  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:31  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/26 12:10:49  qboosh
- moved configure from %prep to %build, gzip doc; release 2

Revision 1.2  2001/11/25 12:32:35  djrzulf
- adapterized,

Revision 1.1  2001/11/25 12:28:45  djrzulf
- initial PLD release,
- STBR
